> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/api/magaza-api/siparisler/siparis-listesini-getirir..md).

# Sipariş listesini getirir.

## GET /Orders

> Sipariş Listesi Getirilir.

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"servers":[{"url":"/marketplace"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify","Qukasoft"],"type":"string"},"SortType":{"enum":["ASC","DESC"],"type":"string"},"OrderStatus":{"enum":["OrderReceived","Preparing","NotSupplied","Shipped","Delivered","UnDelivered","ReturnedToSupplier","ReturnProcessStarted","CancelProcessStarted","ReturnApproved","ReturnRejected","Returned","AwaitingPayment","Invoiced","AtCollectionPoint","Cancelled","UnPacked","OrderDate","InStore","Splitted"],"type":"string"},"OrderResponsePagination":{"type":"object","properties":{"Page":{"type":"integer","format":"int32"},"PageSize":{"type":"integer","format":"int32"},"TotalCount":{"type":"integer","format":"int32","nullable":true},"TotalPages":{"type":"integer","format":"int32","nullable":true,"readOnly":true},"Content":{"type":"array","items":{"$ref":"#/components/schemas/OrderResponse"},"nullable":true}},"additionalProperties":false},"OrderResponse":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"UUID":{"type":"string","nullable":true},"OrderNumber":{"type":"string","nullable":true},"CustomerName":{"type":"string","nullable":true},"CustomerTaxNumber":{"type":"string","nullable":true},"Status":{"$ref":"#/components/schemas/OrderStatus"},"OrderDate":{"type":"string","format":"date-time"},"TotalPrice":{"type":"number","format":"double"},"CurrencyCode":{"type":"string","nullable":true},"IsSend":{"type":"boolean"},"CargoName":{"type":"string","nullable":true},"CargoNumber":{"type":"string","nullable":true},"CargoTrackingLink":{"type":"string","nullable":true},"PaymentMethod":{"type":"string","nullable":true},"PaymentDate":{"type":"string","format":"date-time"},"InvoiceNumber":{"type":"string","nullable":true},"InvoiceUUID":{"type":"string","nullable":true},"IsExport":{"type":"boolean"},"IsException":{"type":"boolean"},"InvoiceType":{"$ref":"#/components/schemas/InvoiceType"},"InvoiceUploadStatus":{"$ref":"#/components/schemas/InvoiceUploadStatus"},"InvoiceUploadStatusDescription":{"type":"string","nullable":true},"StoreUUID":{"type":"string","nullable":true},"StoreName":{"type":"string","nullable":true},"StoreType":{"$ref":"#/components/schemas/StoreType"}},"additionalProperties":false},"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK"],"type":"string"},"InvoiceUploadStatus":{"enum":["None","Waiting","Success","Error"],"type":"string"}}},"paths":{"/Orders":{"get":{"tags":["Orders"],"summary":"Sipariş Listesi Getirilir.","parameters":[{"name":"Search","in":"query","schema":{"type":"string"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"StartDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"StoreType","in":"query","schema":{"$ref":"#/components/schemas/StoreType"}},{"name":"SortColumn","in":"query","schema":{"type":"string"}},{"name":"SortType","in":"query","schema":{"$ref":"#/components/schemas/SortType"}},{"name":"IsSend","in":"query","schema":{"type":"boolean"}},{"name":"IsExport","in":"query","schema":{"type":"boolean"}},{"name":"StoreUUID","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Status","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderStatus"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderResponsePagination"}}}}}}}}}
```

{% hint style="info" %}
`StoreType = null`  ve `StoreUUID = null` gönderildiğinde firmaya ait bütün mağazaların siparişlerini getirir.
{% endhint %}

## The StoreType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify","Qukasoft"],"type":"string"}}}}
```

## The SortType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"SortType":{"enum":["ASC","DESC"],"type":"string"}}}}
```

## The InvoiceType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK"],"type":"string"}}}}
```

## The OrderStatus object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"OrderStatus":{"enum":["OrderReceived","Preparing","NotSupplied","Shipped","Delivered","UnDelivered","ReturnedToSupplier","ReturnProcessStarted","CancelProcessStarted","ReturnApproved","ReturnRejected","Returned","AwaitingPayment","Invoiced","AtCollectionPoint","Cancelled","UnPacked","OrderDate","InStore","Splitted"],"type":"string"}}}}
```
